Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011476
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2009-11-24 14:172009-12-16 16:47
ReporterpjuvaraView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisiondfac781730a9
ProjectionnoneETAnoneTarget Version2.50MP12
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP7SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011476: Checkboxes do not work properly as filters

DescriptionIt is not possible to execute a proper search based on the value of a check box.

If in a table you have a column with reference YesNo, in the corresponding windows that column is rendered as a checkbox in the Form view and as a Y | N in the Grid view.

If you also mark that column as a filter (checkbox Filter Column checked), it is rendered in the Filter window as a check box.
The problem is that this does not allow you to specify the proper filter criteria:
* If you leave the box unchecked, all records are returned
* If you check the box, only records where the box is checked are returned
However, you cannot search for records where the box is unchecked.

For example, in the Business Partner window, you can search for all business partners that are customers but you cannot search for all business partners that are not partners.

Steps To ReproduceIn the Business Partner window, you can search for all business partners that are customers but you cannot search for all business partners that are not partners.
Proposed SolutionA column with reference should be rendered in a filter window as a drop-down list control with the possible value:
- Yes
- No
- Any
Any should be selected by default.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0022805)
hgbot (developer)
2009-12-15 09:08

Repository: erp/devel/pi
Changeset: 088711d8ca94d165701b592827d3b6f6d0baf61a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Dec 15 09:08:05 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/088711d8ca94d165701b592827d3b6f6d0baf61a [^]

fixed bug 0011476: Checkboxes do not work properly as filters

---
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/erpCommon/businessUtility/Buscador.java
---
(0022806)
alostale (developer)
2009-12-15 09:10

Implemented as a drop down list.

As the rest of drop down list for filters, there is an empty value that removes the filter when selected (instead of the explicit "any" value").
(0022810)
hgbot (developer)
2009-12-15 09:29

Repository: erp/devel/pi
Changeset: c758c001cc3b1d908086cd0152631ad60970fc7d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Dec 15 09:29:32 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c758c001cc3b1d908086cd0152631ad60970fc7d [^]

fixed bug 0011476: Checkboxes do not work properly as filters

---
M src/org/openbravo/erpCommon/businessUtility/Buscador.java
---
(0022811)
hgbot (developer)
2009-12-15 09:57

Repository: erp/devel/pi
Changeset: dfac781730a9e84a8476cbcd4cfb308cc457cab8
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Dec 15 09:57:04 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/dfac781730a9e84a8476cbcd4cfb308cc457cab8 [^]

fixed bug 0011476: Checkboxes do not work properly as filters

---
M src/org/openbravo/erpCommon/businessUtility/Buscador.java
---
(0022812)
iperdomo (developer)
2009-12-15 10:03

Tested on pi @ dfac781730a9
(0022867)
hudsonbot (developer)
2009-12-16 16:46

---
A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/088711d8ca94 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/1767de909fe7 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15751.obx [^]
---
(0022868)
hudsonbot (developer)
2009-12-16 16:46

---
A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/c758c001cc3b [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/1767de909fe7 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15751.obx [^]
---
(0022869)
hudsonbot (developer)
2009-12-16 16:47

---
A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/dfac781730a9 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/1767de909fe7 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15751.obx [^]
---

- Issue History
Date Modified Username Field Change
2009-11-24 14:17 pjuvara New Issue
2009-11-24 14:17 pjuvara Assigned To => rafaroda
2009-12-07 20:17 psarobe Assigned To rafaroda => alostale
2009-12-07 20:17 psarobe Status new => scheduled
2009-12-07 20:17 psarobe Target Version => 2.50MP12
2009-12-15 09:08 hgbot Checkin
2009-12-15 09:08 hgbot Note Added: 0022805
2009-12-15 09:08 hgbot Status scheduled => resolved
2009-12-15 09:08 hgbot Resolution open => fixed
2009-12-15 09:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/088711d8ca94d165701b592827d3b6f6d0baf61a [^]
2009-12-15 09:10 alostale Note Added: 0022806
2009-12-15 09:29 iperdomo Status resolved => new
2009-12-15 09:29 iperdomo Resolution fixed => open
2009-12-15 09:29 iperdomo Status new => scheduled
2009-12-15 09:29 iperdomo fix_in_branch => pi
2009-12-15 09:29 hgbot Checkin
2009-12-15 09:29 hgbot Note Added: 0022810
2009-12-15 09:29 hgbot Status scheduled => resolved
2009-12-15 09:29 hgbot Resolution open => fixed
2009-12-15 09:29 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/088711d8ca94d165701b592827d3b6f6d0baf61a [^] => http://code.openbravo.com/erp/devel/pi/rev/c758c001cc3b1d908086cd0152631ad60970fc7d [^]
2009-12-15 09:33 iperdomo Status resolved => new
2009-12-15 09:33 iperdomo Resolution fixed => open
2009-12-15 09:33 iperdomo Status new => scheduled
2009-12-15 09:57 hgbot Checkin
2009-12-15 09:57 hgbot Note Added: 0022811
2009-12-15 09:57 hgbot Status scheduled => resolved
2009-12-15 09:57 hgbot Resolution open => fixed
2009-12-15 09:57 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/c758c001cc3b1d908086cd0152631ad60970fc7d [^] => http://code.openbravo.com/erp/devel/pi/rev/dfac781730a9e84a8476cbcd4cfb308cc457cab8 [^]
2009-12-15 10:03 iperdomo Note Added: 0022812
2009-12-15 10:03 iperdomo Status resolved => closed
2009-12-16 00:00 anonymous sf_bug_id 0 => 2915146
2009-12-16 16:46 hudsonbot Checkin
2009-12-16 16:46 hudsonbot Note Added: 0022867
2009-12-16 16:46 hudsonbot Checkin
2009-12-16 16:46 hudsonbot Note Added: 0022868
2009-12-16 16:47 hudsonbot Checkin
2009-12-16 16:47 hudsonbot Note Added: 0022869


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker